#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream fi("tsnt.inp");
    ofstream fo("tsnt.out");
    int n;
    fi>>n;
    fo<<n<<'=';
    int tg;
    int s=0;
    for(int i=2;i<=n;i++)
    {
        if(n%i == 0)
        {
            tg=i;
            n=n/i;
            s=s+i;
            break;
        }
    }
    fo<<tg;
    int i=tg;
    while(n>1)
    {
        if(n%i==0)
        {
            fo<<'*'<<i;
            s=s+i;
            n=n/i;
        }
        else if(i*i<=n)
        {
            i=i+1;
        }
        else
        {
            fo<<n;
            n=1;
        }
    }
    fo<<endl<<s;
}
